#! /usr/bin/env bash

files=(`find . -iname "*_job.out"`)

N=0
n=0
time=0

echo "n;N;time" > data &
for f in "${files[@]}"; do
  N=(`echo "$f" | gawk 'match($0, "(N)([0-9]+)",a) {print a[2]}'`)
  n=(`echo "$f" | gawk 'match($0, "(n)([0-9]+)",a) {print a[2]}'`)
  time=(`gawk 'match($0, "(total time: )([0-9]+.[0-9]+)",a) {print a[2]}' $f`)
  echo "$n;$N;$time" >> data &
done

./plot_time.R < data
