
# worst case was 3s per step for 140 processors
# off-time is 140/num_processors*3*steps
# *2 buffer
n=$1
N=`echo "$n" | awk '{x=$1/12; xr = (x == int(x)) ? x : int(x)+1; print xr }'`
steps=100
worldsize=10000
nhosts=1000000
time=`echo "$n $steps" | awk '{printf("%d", 140/$1*1/20*$2*2)}'`

filename="jobN$N""_n$n.tmp.slurm"

echo "#!/bin/sh" > $filename
echo "#SBATCH --time=$time" >> $filename
echo "#SBATCH -N $N -n $n" >> $filename
echo "#SBATCH --error=jobN$N""_n$n.err --output=N$N""_n$n""_$steps""st_10mH_job.out" >> $filename

echo "export VT_FILE_PREFIX=N$N""_n$n""_$steps""st_10mH" >> $filename
echo "export VT_BUFFER_SIZE=1024M" >> $filename
echo "export VT_THREAD_BUFFER_SIZE=\$VT_BUFFER_SIZE" >> $filename
echo "export VT_MAX_FLUSHES=0" >> $filename
echo "export VT_MODE=STAT" >> $filename
echo "export VT_CLEAN=YES" >> $filename

echo "mpiexec hostname" >> $filename
echo "mpiexec ./infect_sim_parall.x $worldsize $nhosts 30.0 $steps 3" >> $filename

#sbatch job.tmp.slurm
